> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List Mcp Server Tools

> Retrieve all tools available for a specific MCP server configuration.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/mcp-servers/{mcp_server_id}/tools
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/mcp-servers/{mcp_server_id}/tools:
    get:
      tags:
        - Agents Platform
      summary: List Mcp Server Tools
      description: Retrieve all tools available for a specific MCP server configuration.
      operationId: list_mcp_server_tools_route
      parameters:
        - name: mcp_server_id
          in: path
          required: true
          schema:
            type: string
            description: ID of the MCP Server.
            title: Mcp Server Id
          description: ID of the MCP Server.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMCPToolsResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListMCPToolsResponseModel:
      properties:
        success:
          type: boolean
          title: Success
          description: Indicates if the operation was successful.
        tools:
          items:
            $ref: '#/components/schemas/Tool'
          type: array
          title: Tools
          description: A list of tools available on the MCP server.
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message if the operation was not successful.
      type: object
      required:
        - success
        - tools
      title: ListMCPToolsResponseModel
      description: Response model for testing tools available on an MCP server.
      example:
        success: true
        tools:
          - description: Gets current weather conditions for a location.
            inputSchema:
              properties:
                latitude:
                  description: Latitude
                  type: string
                longitude:
                  description: Longitude
                  type: string
              required:
                - latitude
                - longitude
              type: object
            name: weather_by_zapier_get_current
          - description: Description of tool2
            inputSchema:
              properties: {}
              type: object
            name: tool2
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Tool:
      properties:
        name:
          type: string
          title: Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        inputSchema:
          additionalProperties: true
          type: object
          title: Inputschema
        outputSchema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Outputschema
        icons:
          anyOf:
            - items:
                $ref: '#/components/schemas/Icon'
              type: array
            - type: 'null'
          title: Icons
        annotations:
          anyOf:
            - $ref: '#/components/schemas/ToolAnnotations'
            - type: 'null'
        _meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        execution:
          anyOf:
            - $ref: '#/components/schemas/ToolExecution'
            - type: 'null'
      additionalProperties: true
      type: object
      required:
        - name
        - inputSchema
      title: Tool
      description: Definition for a tool the client can call.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Icon:
      properties:
        src:
          type: string
          title: Src
        mimeType:
          anyOf:
            - type: string
            - type: 'null'
          title: Mimetype
        sizes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sizes
      additionalProperties: true
      type: object
      required:
        - src
      title: Icon
      description: An icon for display in user interfaces.
    ToolAnnotations:
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        readOnlyHint:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Readonlyhint
        destructiveHint:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Destructivehint
        idempotentHint:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Idempotenthint
        openWorldHint:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Openworldhint
      additionalProperties: true
      type: object
      title: ToolAnnotations
      description: |-
        Additional properties describing a Tool to clients.

        NOTE: all properties in ToolAnnotations are **hints**.
        They are not guaranteed to provide a faithful description of
        tool behavior (including descriptive properties like `title`).

        Clients should never make tool use decisions based on ToolAnnotations
        received from untrusted servers.
    ToolExecution:
      properties:
        taskSupport:
          anyOf:
            - type: string
              enum:
                - forbidden
                - optional
                - required
            - type: 'null'
          title: Tasksupport
      additionalProperties: true
      type: object
      title: ToolExecution
      description: Execution-related properties for a tool.

````